resetpsf
package require psfgen
topology top_all36_na.rtf
topology cholTEG.str
topology top_all36_cgenff.rtf
mol new combined.pdb
pdbalias residue DG GUA
pdbalias residue DG3 GUA
pdbalias residue DG5 GUA
pdbalias residue DC3 CYT
pdbalias residue DC5 CYT
pdbalias residue DC CYT
pdbalias residue DA ADE
pdbalias residue DA3 ADE
pdbalias residue DA5 ADE
pdbalias residue DT3 THY
pdbalias residue DT5 THY
pdbalias residue DT THY
pdbalias atom THY C7 C5M
pdbalias atom THY OP1 O1P
pdbalias atom THY OP2 O2P
pdbalias atom THY H71 H51
pdbalias atom THY H72 H52
pdbalias atom THY H73 H53
pdbalias atom THY HO5' H5T
pdbalias atom THY HO3' H3T

pdbalias atom ADE OP1 O1P
pdbalias atom ADE OP2 O2P
pdbalias atom ADE HO5' H5T
pdbalias atom ADE HO3' H3T

pdbalias atom CYT OP1 O1P
pdbalias atom CYT OP2 O2P
pdbalias atom CYT HO5' H5T
pdbalias atom CYT HO3' H3T

pdbalias atom GUA OP1 O1P
pdbalias atom GUA OP2 O2P
pdbalias atom GUA HO5' H5T
pdbalias atom GUA HO3' H3T

set X [atomselect top "segname D001"]
$X set segid D001
$X writepdb "DNA1.pdb"
$X delete	

set X [atomselect top "(segname D002 and (resid 12 to 47)"]
$X set segid D002
$X writepdb "DNA2.pdb"
$X delete	

set X [atomselect top "segname D003"]
$X set segid D003
$X writepdb "DNA3.pdb"
$X delete	

set X [atomselect top "segname D004"]
$X set segid D004
$X writepdb "DNA4.pdb"
$X delete	

set X [atomselect top "segname D006"]
$X set segid D006
$X writepdb "DNA6.pdb"
$X delete	

set X [atomselect top "segname D005"]
$X set segid D005
$X writepdb "DNA5.pdb"
$X delete	

set X [atomselect top "segname D008"]
$X set segid D008
$X writepdb "DNA8.pdb"
$X delete	

set X [atomselect top "segname D007 C001"]
$X set segid D007
$X writepdb "DNC1.pdb"
$X delete	

set X [atomselect top "(segname D002 and resid 1 to 11) or segname C002"]
$X set segid  D009
$X writepdb "DNC2.pdb"
$X delete	

foreach segid {D001 D003 D004 D005 D006 D008} pdb {DNA1 DNA3 DNA4 DNA5 DNA6 DNA8 } {
segment $segid {
    first 5TER
    last  3TER
pdb $pdb.pdb
}
echo "exiting the loop"
mol delete all
mol load pdb $pdb.pdb
set sel1 [atomselect top "name H5T" ]
set sel2 [atomselect top "not same residue as name H5T"]
set resids1 [lsort -unique [$sel1 get resid]]
set resids2 [lsort -unique [$sel2 get resid]]
foreach r $resids1 {patch DEO5 $segid:$r}
foreach r $resids2 { patch DEOX $segid:$r}
coordpdb $pdb.pdb

}

foreach segid {D007 D009} pdb {DNC1 DNC2} {
segment $segid {
    first 5TER
    last none
pdb $pdb.pdb
}
mol delete all
mol load pdb $pdb.pdb
set sel1 [atomselect top "name H5T" ]
set sel2 [atomselect top "(not same residue as name H5T) and (not resname 3CHL)"]
set resids1 [lsort -unique [$sel1 get resid]]
set resids2 [lsort -unique [$sel2 get resid]]
foreach r $resids1 {patch DEO5 $segid:$r}
foreach r $resids2 { patch DEOX $segid:$r}
coordpdb $pdb.pdb
}
foreach segid {D002} pdb {DNA2} {
segment $segid  {
    first 5TER
    last  3TER 
pdb $pdb.pdb
} 
echo "patched"
mol delete all
mol load pdb $pdb.pdb
set sel1 [atomselect top "resid 12" ]
set sel2 [atomselect top "not resid 12"]
set resids1 [lsort -unique [$sel1 get resid]]
set resids2 [lsort -unique [$sel2 get resid]]
foreach r $resids1 {patch DEO5 $segid:$r}
foreach r $resids2 { patch DEOX $segid:$r}
coordpdb DNA2.pdb
}
regenerate angles dihedrals
guesscoord 	 
writepsf dna.psf 	 
writepdb dna_namd.pdb
quit
